import { Module } from '@nestjs/common';
import { MessageService } from './message.service';
import { MessageRouter } from './message.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentModule } from '../department/department.module';
import { MessageController } from './message.controller';

@Module({
  imports: [DepartmentModule],  // 导入其他模块
  providers: [MessageService, MessageRouter, TrpcService],  // 注册服务器,可以被自己使用
  exports: [MessageService, MessageRouter],  // 导出服务器
  controllers: [MessageController],  // 注册控制器
})
export class MessageModule {}
